Participant

The participant is the C1 corner in Peppol's 4 corner model.

Endpoints

For information only. Full, normative endpoint definitions in the Swagger documentation.

EndpointDescriptionRole
GET /orgs/:orgId/participantsList all participants that this organisation ownsorgadmin
GET /orgs/:orgId/participants/:participantIdGet a participantorgadmin
POST /orgs/:orgId/participantsCreate a new participantorgadmin
PUT /orgs/:orgId/participants/:participantIdUpdate a participantorgadmin
POST /orgs/:orgId/participants/batch-deleteDelete one or more participantsorgadmin
GET /orgs/:orgId/participants/:participantId/supported_document_typesList the document types that this participant can receiveorgadmin
PUT /orgs/:orgId/participants/:participantId/supported_document_typesModify the set of document types that this participant can receiveorgadmin

Example Participant datatype

{
  "type": "PARTICIPANT",
  "id": "0eeb8400-e8c4-4eec-8523-e63aeaeeb997",
  "orgId": "a33d7cda-c8f4-461c-b001-33ebd034144f",
  "name": "Acme Ltd.",
  "participantIdentifier": "0007:8785695696762260",
  "smpRef": "bb119735-6650-456d-959f-d3b50d7afdd0",
  "apRef": "6e0fec91-39f6-4747-a23b-1fdd5f60ba0a",
  "environment": "TEST",
  "transportProfile": "peppol-transport-as4-v2_0",
  "businessCard": {
    "legalName": "Acme Corporation Ltd.",
    "legalIdentifier": "556123-4567",
    "legalIdentifierCode": "SE_ORGNR",
    "countryCode": "SE",
    "website": "https://www.acme-corp.se",
    "taxIdentifier": "SE556123456701",
    "globalLocationNumber": "1234567890123",
    "duns": "123456789",
    "businessAddress": {
      "streetAddress": "Storgatan 123",
      "city": "Stockholm",
      "country": "Sweden",
      "postalCode": "111 22"
    },
    "contacts": [
      {
        "name": "Anna Andersson",
        "email": "anna.andersson@acme-corp.se",
        "phone": "+46 8 123 45 67",
        "title": "IT Manager",
        "contactType": "TECHNICAL",
        "webContactUrl": "https://support.acme-corp.se",
        "annotation": "Primary technical contact for Peppol integration"
      },
      {
        "name": "Erik Eriksson",
        "email": "erik.eriksson@acme-corp.se",
        "phone": "+46 8 123 45 68",
        "title": "Business Development Manager",
        "contactType": "BUSINESS",
        "annotation": "Handles business inquiries and partnerships"
      }
    ]
  },
  "createdAt": "2025-07-02T12:13:45.011Z",
  "lastModifiedBy": {
    "userId": "7374a832-e041-7016-4482-e857ca1b5e36"
  },
  "lastModifiedAt": "2025-10-08T14:24:50.607Z"
}